<div id='receiving-exeption-allowances-form'>
  <form nz-form [formGroup]="form" class="content__item content__item--border bg__content--default" scroll-spy>
    <!--    employee info-->
    <h3>
      {{'polManagement.label.empoyeeInfo' | translate}}
    </h3>
    <div nz-row [nzGutter]="[30,30]">
      <div nz-col nzXs="11" nzLg="11" *ngIf="!prAllowanceExtendListId">
        <hcm-mfe-employee-data-search-policy
          [mbCanText]="true"
          [mbType]="isSubmitted && f['employeeId'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && f['employeeId'].errors !== null"
          [mbErrors]="f['employeeId'].errors"
          [mbErrorDefs]="[
                                          { errorName: 'required', errorDescription: 'polManagement.validate.required'
                                          | translate: {'param': 'polManagement.table.employeeCode' | translate }},
                          ]"
          mbLabelText="{{'polManagement.table.employeeCode' | translate}} <span class='label__required'>*</span>"
          [formControlName]="'employeeId'"
          (selectedChange)="onChange($event)"
          [functionCode]="functionCode"
        >
        </hcm-mfe-employee-data-search-policy>
      </div>
      <div nz-col nzXs="11" nzLg="11" *ngIf="prAllowanceExtendListId">
        <mb-input-text
          [mbDisable]="true"
          [mbType]="isSubmitted && f['fullName'].errors ? 'error' : 'default'"
          mbPlaceholderText="--{{'polManagement.table.employeeCode' | translate}}--"
          mbLabelText="{{'polManagement.table.employeeCode' | translate}}"
          formControlName="fullName"></mb-input-text>
      </div>
      <div nz-col nzXs="11" nzLg="11">
        <mb-input-text
          [mbDisable]="true"
          [mbType]="isSubmitted && f['orgName'].errors ? 'error' : 'default'"
          mbPlaceholderText="--{{'polManagement.table.orgName' | translate}}--"
          mbLabelText="{{'polManagement.table.orgName' | translate}}"
          formControlName="orgName"></mb-input-text>
      </div>

      <div nz-col nzXs="11" nzLg="11">
        <mb-input-text
          [mbDisable]="true"
          [mbType]="isSubmitted && f['jobName'].errors ? 'error' : 'default'"
          mbPlaceholderText="--{{'polManagement.table.jobName' | translate}}--"
          mbLabelText="{{'polManagement.table.jobName' | translate}}"
          formControlName="jobName"></mb-input-text>
      </div>
      <div nz-col nzXs="11" nzLg="11">
        <mb-input-text
          [mbDisable]="true"
          [mbType]="isSubmitted && f['levelName'].errors ? 'error' : 'default'"
          mbPlaceholderText="--{{'polManagement.label.level' | translate}}--"
          mbLabelText="{{'polManagement.label.level' | translate}}"
          formControlName="levelName"></mb-input-text>
      </div>
      <div nz-col nzXs="11" nzLg="11">
        <mb-input-text
          [mbDisable]="true"
          [mbType]="isSubmitted && f['posName'].errors ? 'error' : 'default'"
          mbPlaceholderText="--{{'polManagement.label.position' | translate}}--"
          mbLabelText="{{'polManagement.label.position' | translate}}"
          formControlName="posName"></mb-input-text>
      </div>

    </div>

    <!--    receiving-exeption-allowances info-->
    <hr>
    <h3>{{'polManagement.pageName.information-exception-allowances-approval' | translate}}</h3>
    <div nz-row [nzGutter]="[30,30]">

      <div nz-col nzXs="11" nzLg="11">
        <mb-select
          [mbDataSelects]="dataResponseKindOfReward" mbKeyLabel="prAllowanceTypeName"
          mbKeyValue="prAllowanceType"
          [mbType]="isSubmitted && f['prAllowanceType'].errors ? 'error' : 'default'"
          formControlName="prAllowanceType"
          [mbShowError]="isSubmitted && form.controls['prAllowanceType'].errors !== null"
          [mbErrors]="form.controls['prAllowanceType'].errors" [mbErrorDefs]="[
                    { errorName: 'required', errorDescription: 'polManagement.validate.required' | translate: {'param': 'polManagement.table.prAllowanceTypeName' | translate }},
        ]"
          mbLabelText="{{'polManagement.table.prAllowanceTypeName' | translate}} <span class='label__required'>*</span>"
        ></mb-select>

      </div>
      <div nz-col nzXs="11" nzLg="11">
        <mb-date-picker
          [mbType]="isSubmitted && (f['fromDate'].errors) ? 'error' : 'default'"
          [mbShowError]="isSubmitted && (f['fromDate'].errors) !== null"
          [mbErrors]="form.controls['fromDate'].errors"
          [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'polManagement.validate.required'
        | translate: {'param': 'polManagement.setupAssessment.label.table.fromDate' | translate }},
        ]"
          mbPlaceholderText="{{'polManagement.common.input.placeholderInput' | translate}}"
          mbLabelText="{{'polManagement.setupAssessment.label.table.fromDate' | translate}} <span class='label__required'>*</span>"
          formControlName="fromDate"

        ></mb-date-picker>
      </div>
      <!--      [mbDisabledDate]="disabledDateFrom"-->
      <div nz-col nzXs="11" nzLg="11">
        <mb-date-picker
          [mbDisabled]="!objFunction?.edit"
          [mbType]="isSubmitted && (form.errors?.rangeDateError1) ? 'error' : 'default'"
          [mbShowError]="isSubmitted && (form.errors?.rangeDateError1) !== null"
          [mbErrors]="form.errors?.rangeDateError1 && form.errors"
          [mbErrorDefs]="[

        { errorName: 'rangeDateError1', errorDescription: 'staffManager.validate.rangeDate.pareDateMore' | translate:
        {'fromDate': 'polManagement.setupAssessment.label.table.fromDate'
        | translate, 'toDate': 'polManagement.setupAssessment.label.table.toDate' | translate}}
        ]" mbPlaceholderText="{{'polManagement.common.input.placeholderInput' | translate}}"
          mbLabelText="{{'polManagement.setupAssessment.label.table.toDate' | translate}}"
          formControlName="toDate"></mb-date-picker>
      </div>

      <div nz-col nzXs="11" nzLg="11">
        <mb-input-text
          [mbDisable]="!objFunction?.edit"
          [mbType]="isSubmitted && f['note'].errors ? 'error' : 'default'"
          mbPlaceholderText="--{{'polManagement.table.note' | translate}}--"
          mbLabelText="{{'polManagement.table.note' | translate}}"
          formControlName="note"></mb-input-text>
      </div>
      <div nz-col nzSpan="6">
        <app-mb-input-file (clickPreview)="viewFile()" (fileEvent)="selectFile($event)" [fileName]="fileName" [disable]='isApprove'></app-mb-input-file>
      </div>
      <ng-container *ngIf="typeShowInfo">
        <div nz-col nzXs="11" nzLg="11">
          <mb-input-text
            [mbDisable]="true"
            [mbType]="isSubmitted && f['lastUpdateDate'].errors ? 'error' : 'default'"
            mbPlaceholderText="--{{'polManagement.label.lastUpdateDate' | translate}}--"
            mbLabelText="{{'polManagement.label.lastUpdateDate' | translate}}"
            formControlName="lastUpdateDate"></mb-input-text>
        </div>
        <div nz-col nzXs="11" nzLg="11">
          <mb-input-text
            [mbDisable]="true"
            [mbType]="isSubmitted && f['lastUpdatedBy'].errors ? 'error' : 'default'"
            mbPlaceholderText="--{{'polManagement.label.lastUpdatedBy' | translate}}--"
            mbLabelText="{{'polManagement.label.lastUpdatedBy' | translate}}"
            formControlName="lastUpdatedBy"></mb-input-text>
        </div>
        <div nz-col nzXs="11" nzLg="11">
          <mb-input-text
            [mbDisable]="true"
            [mbType]="isSubmitted && f['approveDate'].errors ? 'error' : 'default'"
            mbPlaceholderText="--{{'polManagement.label.approveDate' | translate}}--"
            mbLabelText="{{'polManagement.label.approveDate' | translate}}"
            formControlName="approveDate"></mb-input-text>
        </div>
        <div nz-col nzXs="11" nzLg="11">
          <mb-input-text
            [mbDisable]="true"
            [mbType]="isSubmitted && f['contents'].errors ? 'error' : 'default'"
            mbPlaceholderText="--{{'polManagement.label.reasonRjAp' | translate}}--"
            mbLabelText="{{'polManagement.label.reasonRjAp' | translate}}"
            formControlName="contents"></mb-input-text>
        </div>
        <div nz-col nzXs="11" nzLg="11">
          <mb-input-text
            [mbDisable]="true"
            [mbType]="isSubmitted && f['approver'].errors ? 'error' : 'default'"
            mbPlaceholderText="--{{'polManagement.label.approver' | translate}}--"
            mbLabelText="{{'polManagement.label.approver' | translate}}"
            formControlName="approver"></mb-input-text>
        </div>
      </ng-container>

    </div>
  </form>

  <nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
            [nzStyle]="{ width: '80vw'}" (nzOnCancel)="handleCancel()">
    <ng-template #modalTitle>
      <span>View File PDF</span>
    </ng-template>
    <ng-template #modalContent>
      <div>
        <pdf-viewer [src]="pdfSrc" [show-all]="true" [fit-to-page]="true" [render-text]="true"
                    [original-size]="true" class="pdf-view"></pdf-viewer>
      </div>
    </ng-template>
    <ng-template #modalFooter>
      <p></p>
    </ng-template>
  </nz-modal>
</div>
